//Created by Amin Rahmani, Ph.D., P.E. - February 6, 2018
//Copyright © 2018 Amin Rahmani. All rights reserved.

//==========================================================================================================================
//                                '****   Notes  ****
// This ".hpp" file declares classes for "TimeHistory.cpp".
// This file uses some variables and functions from "Spectrum.hpp" file.
//===========================================================================================================================

#ifndef TimeHistory_hpp
#define TimeHistory_hpp


#include "Spectrum.hpp"

class timeHistory : public Spectrum {
    
private:
    //Member variables
    double mass;                        // Mass of structure in kg or lb
    double stiffness;                   //Structure Stiffness in N/m or lbs/ft
    
public:
    //Default constructor
    timeHistory();
    
    //Destructor
    ~timeHistory();
    
    //set values
    void setValues (double, double, double, double, double, string , string);
    
    //Main function to calculate and plot ARS
    void computeTH ();
    void writefiles_TH ( );
    
};

#endif /* TimeHistory_hpp */
