// Created by Amin Rahmani, Ph.D., P.E. - February 6, 2018
// Copyright © 2018 Amin Rahmani. All rights reserved.

//========================================================================================
//                              ****   Notes  ****
// This is an example .cpp file which shows how to use the developed object-oriented code.
//========================================================================================

#include "Spectrum.hpp"
#include "TimeHistory.hpp"

int main() {
    
    Spectrum GM1;  //Declare objects which represent input motions
    
	// Set values for class Spectrum
    GM1.setValues(0.005, 5.0, 9.81, "TohukuEQ.txt", "GM_1_ARS.txt"); 
	// GM1.setValues(input motion time step, damping ratio in percent, g value (9,81m/s2 and 32.2ft/s2), Input motion file name, Outputs file name);
    
	// Calculates acceleration response spectrum
	GM1.computeARS();
   
    
    // set values for class TimeHistory
    GM2.setValues(2500.0, 1500.0, 0.005, 5.0, 9.81, "TohukuEQ.txt", "TH.txt");
	// GM2.setValues(SDOF stiffness (N/m, lbf/ft), SDOF mass (kg, lbs), input motion time step, damping ratio in percent, g value (9,81m/s2 and 32.2ft/s2), Input motion file name, Outputs file name);
    
	// Calculates time histories
	GM2.computeTH();
    
    return 0;
}
